index.range.separator
Prev | ToC/LoT/Index Generation | Next

## index.range.separator

index.range.separator — Override for punctuation separating the two numbers in a page range in index

## Synopsis

    <xsl:param name="index.range.separator"></xsl:param>

## Description

This parameter permits you to override the text to insert between the two numbers of a page range in an index. This parameter is only used by those XSL-FO processors that support an extension for generating such page ranges (such as XEP).

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'range-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can override the gentext with the content of this parameter. The content can be a simple string, or it can be something more complex such as a call-template.

In HTML index output, section title references are used instead of page number references. So there are no page ranges and this parameter has no effect.

Prev | Up | Next
index.number.separator | Home | Stylesheet Extensions